devel/p5-Git-Wrapper - The NetBSD Packages Collection

Wrap git(7) command-line interface

Git::Wrapper provides an API for git(7) that uses Perl data structures
for argument passing, instead of CLI-style --options as Git does.

Except as documented, every git subcommand is available as a method
on a Git::Wrapper object. Replace any hyphens in the git command
with underscores. The first argument should be a hashref containing
options and their values. Boolean options are either true (included)
or false (excluded). The remaining arguments are passed as ordinary
command arguments.

Build dependencies

devel/p5-Env-Path devel/p5-Test-Deep devel/p5-Test-Exception devel/p5-Test-Most pkgtools/cwrappers lang/perl5

Runtime dependencies

devel/p5-Devel-CheckBin devel/p5-File-chdir devel/p5-Sort-Versions devel/git-base lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0earmv7hfp5-Git-Wrapper-0.048nb2.tgz
NetBSD 8.0earmv7hfp5-Git-Wrapper-0.048nb2.tgz
NetBSD 8.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0i386p5-Git-Wrapper-0.048nb2.tgz
NetBSD 8.0i386p5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0i386p5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0powerpcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0powerpcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0powerpcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 8.0x86_64p5-Git-Wrapper-0.048nb2.tgz
NetBSD 8.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0aarch64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0aarch64p5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0aarch64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0aarch64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0alphap5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0alphap5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0alphap5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv6hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv6hfp5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0earmv6hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv6hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv6hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0earmv7hfp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0i386p5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0i386p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0i386p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0mips64ebp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0mips64ebp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0mips64ebp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0powerpcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0powerpcp5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0powerpcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0sparc64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0sparc64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0sparc64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0sparcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0sparcp5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb2.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz
NetBSD 9.0x86_64p5-Git-Wrapper-0.048nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.